Ubuntu 16.04 problems with ASSP

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Ubuntu 16.04 problems with ASSP

Colin
Howdy,



So I’ve been working on getting ASSP up and running on Ubuntu 16.04. I
upgraded one of our servers and have had a few minor issues. By and large
it has been fine.



For some reason, ASSP is logging “Mail::SPF::Query module is not
installed.” at startup when it is (Mail::SPF::Query is up to date
(1.999.1).)



I also appear to be having problems with Crypt::GOST. When I first fired up
ASSP all encrypted variables had changed to display their encrypted
version. I’ve found the following so far and corrected them:



syncCFGPass

adminusersdbpass

mydb

myuser

mypassword

SSL_cipher_list

SSLCertFile

SSLKeyFile

SSLCaFile



I can’t see any other but was wondering if there is a full list of what may
be affected by this?



Correcting these makes them all show the correct value and almost
everything works except the admin users database. I get this logged:



Adminusers database error: ASSP::CRYPT ERROR: DATA and PASSPHRASE are
incompatible! at sub ASSP::CryptTie::TIEHASH line 32.

Adminusers.right database error: ASSP::CRYPT ERROR: DATA and PASSPHRASE are
incompatible! at sub ASSP::CryptTie::TIEHASH line 32.



The password is set the same as the live Ubuntu 14.04 servers. I’ve even
set a new password on the master server and synced it through with no
change.



I did some reading on how to test Crypt::GOST but didn’t find anything
helpful.



Anyone else got ASSP running on 16.04 that might have gone through these
same issues? Does 16.04 have some inherent difference in the encryption
routines that means it is not compatible?

------------------------------------------------------------------------------

_______________________________________________
Assp-test mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-test